Subject: bug#55414: 29.0.50; Byte compilation error for the modus-themes

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 May 2022 15:45:19 +0200

Protesilaos Stavrou <[email-masked]> writes:

> Since commit 850074636e73509b09c28e965c1af054a84f4069, my modus-themes
> no longer byte compile when installing from source.  The message is:
>
>     Error: Lisp nesting exceeds ‘max-lisp-eval-depth’

Could you switch on debug-on-error and post the backtrace?  It'd be
interesting to see whether it's inflooping or whether the eval depth
really is just too small.

We've seen similar things (i.e., Emacs now using a bigger depth to
compile) with other modules after the symbols-with-positions feature was
added, so I've added Alan to the CCs; perhaps he has some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no